curl "https://app.drime.cloud/api/v1/users/15843/folders?workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const userId = 15843;
const response = await fetch(
`https://app.drime.cloud/api/v1/users/${userId}/folders?workspaceId=0`,
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { folders, rootFolder } = await response.json();
import requests
user_id = 15843
response = requests.get(
f'https://app.drime.cloud/api/v1/users/{user_id}/folders',
params={'workspaceId': 0},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
data = response.json()
folders = data['folders']
root = data['rootFolder']
{
"folders": [
{
"id": 111344,
"name": "Documents",
"parent_id": null,
"path": "111344",
"type": "folder",
"workspace_id": 0,
"permissions": {
"files.update": true,
"files.create": true,
"files.download": true,
"files.delete": true
},
"hash": "MTExMzQ0fHBhZA"
},
{
"id": 111345,
"name": "Photos",
"parent_id": null,
"path": "111345",
"type": "folder",
"workspace_id": 0
}
],
"rootFolder": {
"type": "folder",
"id": 0,
"hash": "0",
"path": "",
"name": "All Files",
"workspace_id": 0
},
"status": "success"
}
Files & Folders
Get User Folders
Get folder tree for a user
GET
/
users
/
{userId}
/
folders
curl "https://app.drime.cloud/api/v1/users/15843/folders?workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const userId = 15843;
const response = await fetch(
`https://app.drime.cloud/api/v1/users/${userId}/folders?workspaceId=0`,
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { folders, rootFolder } = await response.json();
import requests
user_id = 15843
response = requests.get(
f'https://app.drime.cloud/api/v1/users/{user_id}/folders',
params={'workspaceId': 0},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
data = response.json()
folders = data['folders']
root = data['rootFolder']
{
"folders": [
{
"id": 111344,
"name": "Documents",
"parent_id": null,
"path": "111344",
"type": "folder",
"workspace_id": 0,
"permissions": {
"files.update": true,
"files.create": true,
"files.download": true,
"files.delete": true
},
"hash": "MTExMzQ0fHBhZA"
},
{
"id": 111345,
"name": "Photos",
"parent_id": null,
"path": "111345",
"type": "folder",
"workspace_id": 0
}
],
"rootFolder": {
"type": "folder",
"id": 0,
"hash": "0",
"path": "",
"name": "All Files",
"workspace_id": 0
},
"status": "success"
}
Overview
Returns the folder structure for a user, useful for building folder tree navigation.Path Parameters
integer
required
The user ID
Query Parameters
integer
Filter by workspace. Use
0 for personal workspace.integer
Set to
1 to return only vault (encrypted) foldersResponse
array
Array of folder objects
object
Root folder information
string
Request status (
success)curl "https://app.drime.cloud/api/v1/users/15843/folders?workspaceId=0" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const userId = 15843;
const response = await fetch(
`https://app.drime.cloud/api/v1/users/${userId}/folders?workspaceId=0`,
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { folders, rootFolder } = await response.json();
import requests
user_id = 15843
response = requests.get(
f'https://app.drime.cloud/api/v1/users/{user_id}/folders',
params={'workspaceId': 0},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
data = response.json()
folders = data['folders']
root = data['rootFolder']
{
"folders": [
{
"id": 111344,
"name": "Documents",
"parent_id": null,
"path": "111344",
"type": "folder",
"workspace_id": 0,
"permissions": {
"files.update": true,
"files.create": true,
"files.download": true,
"files.delete": true
},
"hash": "MTExMzQ0fHBhZA"
},
{
"id": 111345,
"name": "Photos",
"parent_id": null,
"path": "111345",
"type": "folder",
"workspace_id": 0
}
],
"rootFolder": {
"type": "folder",
"id": 0,
"hash": "0",
"path": "",
"name": "All Files",
"workspace_id": 0
},
"status": "success"
}
⌘I

